#!/usr/bin/ruby

require 'date'

print "Enter the Year: "
year = gets.chomp.to_i
puts "\n"

months = (1..12).to_a
months.each do |month|
  showCalendar = Date.new(year, month, 1)
  puts "    " + showCalendar.strftime("%B %Y")
  puts "Mo Tu We Th Fr Sa Su"
  firstDayWeekday = showCalendar.wday
  print "   " * firstDayWeekday
  (1..Date.new(year, month, -1).day).each do |day|
    print day.to_s.rjust(2) + " "
    if (day + firstDayWeekday) % 7 == 0
      puts
    end
  end
  puts "\n\n"
end
