import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Scanner;

public class generateCalendar {
    public static void main(String[] args) {

        Scanner scanner = new Scanner(System.in);
        System.out.print("Enter the Year: ");
        int year = scanner.nextInt();
        
        SimpleDateFormat monthFormat = new SimpleDateFormat("MMMM");
        
        for (int month = 1; month <= 12; month++) {
            Calendar calendar = Calendar.getInstance();
            calendar.set(year, month - 1, 1); 
            
            String monthName = monthFormat.format(calendar.getTime());
            
            System.out.println("\n" + "        " + monthName);
            System.out.println("Sun Mon Tue Wed Thu Fri Sat");
            
            int daysInMonth = calendar.getActualMaximum(Calendar.DAY_OF_MONTH);
            int dayOfWeek = calendar.get(Calendar.DAY_OF_WEEK) - 1;

            for (int i = 0; i < dayOfWeek; i++) {
                System.out.print("    ");
            }

            for (int day = 1; day <= daysInMonth; day++) {
                System.out.printf("%3d ", day);
                if ((day + dayOfWeek) % 7 == 0) {
                    System.out.println();
                }
            }

            System.out.println();
        }
    }
}
