// #!/usr/bin/env dotnet
using System;
using System.Runtime.InteropServices;

namespace MemoryAddressExample {
    class MemoryAddress {
        static void Main(string[] args) {
            int number = 98;
            // GCHandle.Alloc() & GCHandle.ToIntPtr() function print the memory address of number
            GCHandle handle = GCHandle.Alloc(number, GCHandleType.Pinned);
            IntPtr address = GCHandle.ToIntPtr(handle);
            Console.WriteLine($"Memory Address of Number({number}): 0x{address.ToString("X6")}");
            handle.Free();
            Console.ReadLine();
        }
    }
}
